# TdApi.AddMessageReaction (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AddMessageReaction

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddMessageReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AddMessageReaction

Enclosing class:
  TdApi

public static final class TdApi.AddMessageReaction extends TdApi.Function<TdApi.Ok>
Adds a reaction to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the message belongs.
`static final int`
`CONSTRUCTOR`
`boolean`
`isBig`
Pass true if the reaction is added with a big animation.
`long`
`messageId`
Identifier of the message.
`TdApi.ReactionType`
`reactionType`
Type of the reaction to add.
`boolean`
`updateRecentReactions`
Pass true if the reaction needs to be added to recent reactions.

## Constructor Summary

Constructors
Constructor
Description
`AddMessageReaction()`
Adds a reaction to a message.
`AddMessageReaction(long chatId, long messageId, TdApi.ReactionType reactionType, boolean isBig, boolean updateRecentReactions)`
Adds a reaction to a message.
`AddMessageReaction(DataInput input)`
Adds a reaction to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message belongs.

### messageId

public long messageId
Identifier of the message.

### reactionType

public TdApi.ReactionType reactionType
Type of the reaction to add.

### isBig

public boolean isBig
Pass true if the reaction is added with a big animation.

### updateRecentReactions

public boolean updateRecentReactions
Pass true if the reaction needs to be added to recent reactions.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AddMessageReaction

public AddMessageReaction()
Adds a reaction to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message. Returns `Ok`

### AddMessageReaction

public AddMessageReaction(long chatId, long messageId, TdApi.ReactionType reactionType, boolean isBig, boolean updateRecentReactions)
Adds a reaction to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message. Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat to which the message belongs.
  `messageId` - long Identifier of the message.
  `reactionType` - ReactionType Type of the reaction to add.
  `isBig` - boolean Pass true if the reaction is added with a big animation.
  `updateRecentReactions` - boolean Pass true if the reaction needs to be added to recent reactions.

### AddMessageReaction

public AddMessageReaction(DataInput input) throws IOException
Adds a reaction to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`